Bug 196506 - NetworkManager disconnects wireless connection
NetworkManager disconnects wireless connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 16:11 EDT by James Burke
Modified: 2009-09-13 18:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Burke 2006-06-23 16:11:56 EDT
Description of problem:


Version-Release number of selected component (if applicable):
0.6.0  

How reproducible:


Steps to Reproduce:
1. Boot laptop with wireless nic (pci ath) into normal runlevel(5)
2. ctrl-alt-f1, login, try ping <host>
3. 
  
Actual results:
no internet connection

Expected results:
ping results 


Additional info:
- I turned off NetworkManager (service NetworkManager stop, chkconfig
NetworkManager off), rebooted the laptop and the wireless connection works well

- Another diagnosis and suggestion for nm-tool is provided in another bug report
(it doesn't list my hidden managed wireless connection)
Comment 1 James Burke 2006-06-23 16:15:32 EDT
Sorry about this, I omitted release#

Version-Release number of selected component (if applicable):
0.6.0  

 -> Release #3

on a 32-bit (i386) machine

Comment 2 Dan Williams 2006-07-09 19:46:02 EDT
Can you update to the latest NetworkManager included in Fedora Core 5 Updates? 
It should be 0.6.3 or later.
Comment 4 W. Michael Petullo 2007-08-26 17:29:59 EDT
I have the same problem using Fedora 6 (NetworkManager-0.6.5-7.fc7.)

I have configured my system to turn on my wireless connection when booting
(ifcfg-wlan0.)  If I start this interface using "ifup wlan0," then the interface
is brought up properly.  But, if I execute "NetworkManager start" then the
interface is brought down.

I've noticed that if I restart the interface after starting NetworkManager, then
the nm-applet does not recognize this existing connection.

It seems that NetworkManager is not compatible with some common configurations.
 The reason I start my wireless connection on boot is that I use Kerberos to
authenticate.  Requiring that a user logs in before the network interface is
brought up presents a catch-22 for network-based authentication.  Note that
"System-wide Configuration" is a target of NetworkManager 0.7, see
http://live.gnome.org/NetworkManagerToDo.
Comment 5 petrosyan 2008-03-12 02:03:32 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 6 Bug Zapper 2008-04-03 23:08:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:02:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 W. Michael Petullo 2009-09-13 18:22:24 EDT
This really ought to be fixed by [1]. I am presently reviewing Fedora 12 Alpha and will provide feedback.

[1] https://fedoraproject.org/wiki/Features/NetworkManagerSystemConnections

Note You need to log in before you can comment on or make changes to this bug.